The BOOST_PP_IDENTITY macro expands to its argument when invoked.

#### Usage

BOOST_PP_IDENTITY(item)()

#### Arguments

item
  The result of the expansion.

#### Remarks

This macro is designed to be used with BOOST_PP_IF and BOOST_PP_IIF when only one of the clauses needs to be invoked.

#### See Also

- BOOST_PP_IF
- BOOST_PP_IIF

#### Requirements

Header: <boost/preprocessor/facilities/identity.hpp>

#### Sample Code

    #include <boost/preprocessor/control/if.hpp>
    #include <boost/preprocessor/facilities/empty.hpp>
    #include <boost/preprocessor/facilities/identity.hpp>

    #define MACRO(n) BOOST_PP_IF(n, BOOST_PP_IDENTITY(x), BOOST_PP_EMPTY)()

    MACRO(0) // expands to nothing
    MACRO(1) // expands to x